import { CloseGameAccountParams, CreateGameAccountParams, CreatePlayerProfileParams, CreateRegistrationParams, DepositParams, GameAccount, GameBundle, INft, IToken, ITransport, IWallet, JoinParams, PlayerProfile, PublishGameParams, RegisterGameParams, RegistrationAccount, RegistrationWithGames, ServerAccount, UnregisterGameParams, VoteParams } from '@race-foundation/sdk-core';
export declare class FacadeTransport implements ITransport {
    #private;
    constructor(url?: string);
    createGameAccount(wallet: IWallet, params: CreateGameAccountParams): Promise<string>;
    closeGameAccount(wallet: IWallet, params: CloseGameAccountParams): Promise<void>;
    deposit(wallet: IWallet, params: DepositParams): Promise<void>;
    vote(wallet: IWallet, params: VoteParams): Promise<void>;
    publishGame(wallet: IWallet, params: PublishGameParams): Promise<string>;
    createRegistration(wallet: IWallet, params: CreateRegistrationParams): Promise<string>;
    registerGame(wallet: IWallet, params: RegisterGameParams): Promise<void>;
    unregisterGame(wallet: IWallet, params: UnregisterGameParams): Promise<void>;
    listTokens(): Promise<IToken[]>;
    createPlayerProfile(wallet: IWallet, params: CreatePlayerProfileParams): Promise<void>;
    join(wallet: IWallet, params: JoinParams): Promise<void>;
    getGameAccount(addr: string): Promise<GameAccount | undefined>;
    getGameBundle(addr: string): Promise<GameBundle | undefined>;
    getPlayerProfile(addr: string): Promise<PlayerProfile | undefined>;
    getServerAccount(addr: string): Promise<ServerAccount | undefined>;
    getRegistration(addr: string): Promise<RegistrationAccount | undefined>;
    getRegistrationWithGames(addr: string): Promise<RegistrationWithGames | undefined>;
    getToken(addr: string): Promise<IToken | undefined>;
    fetchBalances(walletAddr: string, tokenAddrs: string[]): Promise<Map<string, bigint>>;
    getNft(_addr: string): Promise<INft | undefined>;
    listNfts(_: string): Promise<INft[]>;
    sendInstruction(method: string, ix: any): Promise<void>;
    fetchState(method: string, params: any): Promise<Uint8Array | undefined>;
}
//# sourceMappingURL=facade-transport.d.ts.map